selfService

# Class: selfServiceProfile

Source Location: /lib/selfService.inc

### Class Overview

Includes all settings of a self service profile.

### Variables

- $inputFields
- $LDAPPassword
- $LDAPSuffix
- $LDAPUser
- $loginAttributeText
- $loginCaption
- $mainPageText
- $moduleSettings
- $searchAttribute
- $serverURL

### Methods

- __construct

### Class Details

[line 255]
Includes all settings of a self service profile.
[ Top ]

### Class Variables

#### $inputFields =

[line 285]

input fields

Format: array(<module> => array(array('name' => <group name>, 'fields' => array(<field1>, <field2>))))

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $LDAPPassword =

[line 267]

LDAP password

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $LDAPSuffix =

[line 261]

LDAP suffix

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $LDAPUser =

[line 264]

LDAP user DN

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $loginAttributeText =

[line 276]

describing text for search attribute

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $loginCaption =

[line 273]

describing text for user login

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $mainPageText =

[line 279]

describing text for self service main page

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $moduleSettings =

[line 288]

configuration settings of modules

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $searchAttribute =

[line 270]

LDAP search attribute

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $serverURL =

[line 258]

server address

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 295]

`selfServiceProfile __construct( )`

Constructor
[ Top ]

Documentation generated on Mon, 28 Apr 2008 20:17:51 +0200 by phpDocumentor 1.4.0